- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Object_Adapter::Hint_Strategy Class Reference

Base class for POA active hint strategy. More...

`#include <Object_Adapter.h>`

Inheritance diagram for TAO_Object_Adapter::Hint_Strategy:

[legend]
Collaboration diagram for TAO_Object_Adapter::Hint_Strategy:

[legend]
List of all members.

## Public Member Functions
virtual | ~Hint_Strategy (void)
virtual int | find_persistent_poa (const poa_name &system_name, TAO_Root_POA *&poa)=0
virtual int | bind_persistent_poa (const poa_name &folded_name, TAO_Root_POA *poa, poa_name_out system_name)=0
virtual int | unbind_persistent_poa (const poa_name &folded_name, const poa_name &system_name)=0
void | object_adapter (TAO_Object_Adapter *oa)
## Protected Attributes
TAO_Object_Adapter * | object_adapter_

## Detailed Description

Base class for POA active hint strategy.

This class also provides for common structures used by all the derived classes.

## Constructor & Destructor Documentation

TAO_Object_Adapter::Hint_Strategy::~Hint_Strategy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int TAO_Object_Adapter::Hint_Strategy::bind_persistent_poa | ( | const poa_name & | folded_name,
|  | TAO_Root_POA * | poa,
|  | poa_name_out | system_name |
| ) |  |  | `[pure virtual]`

Implemented in TAO_Object_Adapter::Active_Hint_Strategy, and TAO_Object_Adapter::No_Hint_Strategy.

virtual int TAO_Object_Adapter::Hint_Strategy::find_persistent_poa | ( | const poa_name & | system_name,
|  | TAO_Root_POA *& | poa |
| ) |  |  | `[pure virtual]`

Implemented in TAO_Object_Adapter::Active_Hint_Strategy, and TAO_Object_Adapter::No_Hint_Strategy.

void TAO_Object_Adapter::Hint_Strategy::object_adapter | ( | TAO_Object_Adapter * | oa | ) |

virtual int TAO_Object_Adapter::Hint_Strategy::unbind_persistent_poa | ( | const poa_name & | folded_name,
|  | const poa_name & | system_name |
| ) |  |  | `[pure virtual]`

Implemented in TAO_Object_Adapter::Active_Hint_Strategy, and TAO_Object_Adapter::No_Hint_Strategy.

## Member Data Documentation

TAO_Object_Adapter* TAO_Object_Adapter::Hint_Strategy::object_adapter_`[protected]`

The documentation for this class was generated from the following files:

- Object_Adapter.h
- Object_Adapter.cpp